/****************************************************************************
   Module Name          :  read_cfg.h
   Organization         :  IVRS (International) Ltd
   Edit History         :

2001.11.01  v1.00	KC	Created

*****************************************************************************

   Remarks:

****************************************************************************/
#ifndef READ_CFG_H
#define READ_CFG_H

#define MAX_CFG_INT_PARAM	64
#define MAX_CFG_STR_PARAM	32
#define MAX_CFG_STR_LEN		32

typedef struct {
	int	reload_flag;
	int	i_num;
	int	s_num;
	int	i[MAX_CFG_INT_PARAM];
	char	s[MAX_CFG_STR_PARAM][MAX_CFG_STR_LEN+1];
} ReadCfg_S;


class ReadCfg {
private:
	ReadCfg_S		*gp;

public:
	ReadCfg();
	~ReadCfg();

	int  init(ReadCfg_S *p);
	int  alloc_mem();
	int  read_param(char *filename, char *tag_int, char *tag_str);
	void view_param();
	char *get_s(int pos);
	int  get_i(int pos);
};

#endif  READ_CFG_H

