#!/usr/ccs/bin/make -f

###############################################################################
##
##  APPFLAGS = -D<pre-defined macro>
##
###############################################################################

EXECUTABLE	=	SMClient

MAKEFILE	=	SMClient.make

CC		=	CC -mt
LDFLAGS		=	-lnsl -lsocket -lposix4 -lintl\
			lib/libitl.a lib/libsmpp.a 
CFLAGS		=	-Icpplib -Ismpp

SOURCES		=	SMClient.c\
			SMClientCfg.c\
			ReadCfg.c\
			util.c\
			UniCode_Util.c

PROGRAM.h	=	$(SOURCES:%.c=%.h)

OBJECTS		=	$(SOURCES:%.c=%.o)


target: $(OBJECTS) $(PROGRAM.h) $(MAKEFILE)
	$(CC) -o $(EXECUTABLE) $(OBJECTS) $(LDFLAGS)

%.o : %.c $(PROGRAM.h) $(MAKEFILE)
	$(CC) $(CFLAGS) -c $(@:%.o=%.c)

clean:
	rm -f $(EXECUTABLE) $(OBJECTS)
