/********************************************************************

	Filename	: SMPP_Header.h
	Description	: SMPP Header class header file

	History:
	------------------------------------------------------------
	20010707	fw: First Creation

********************************************************************/

#ifndef SMPP_HEADER_H
#define SMPP_HEADER_H

#include "SMPP_P_CommandLength.h"
#include "SMPP_P_CommandID.h"
#include "SMPP_P_CommandStatus.h"
#include "SMPP_P_SequenceNum.h"

class SMPP_Header {
public:
	SMPP_P_CommandLength	command_len;
	SMPP_P_CommandID	command_id;
	SMPP_P_CommandStatus	command_status;
	SMPP_P_SequenceNum	seq_num;

	SMPP_Header();
	~SMPP_Header();

	size_t	pack_header(unsigned char *buf);
	size_t	unpack_header(unsigned char *buf);
};

#endif		/* SMPP_HEADER_H */
