/********************************************************************

	Filename	: SMPP_M_ReplaceSMResp.h
	Description	: SMPP Replace SM Response Message class header file

	History:
	------------------------------------------------------------
	20010808	kei: First Creation
	20011123	kei: Add OP for PTC-SMX as GWNO of OA and DA

********************************************************************/

#ifndef SMPP_M_REPLACESMRESP_H
#define SMPP_M_REPLACESMRESP_H

#include "SMPP_M_Response.h"

class SMPP_M_ReplaceSMResp : public SMPP_M_Response {
public:
	// mandatory parameters

	SMPP_M_ReplaceSMResp();
	~SMPP_M_ReplaceSMResp();

	size_t				pack_msg(unsigned char *buf);
	size_t				unpack_msg(unsigned char *buf);
};

#endif		/* SMPP_M_REPLACESMRESP_H */
