/********************************************************************

	Filename	: SMPP_P_C_OctetString.h
	Description	: SMPP C_OctetString Param class header file

	History:
	------------------------------------------------------------
	20010707	fw: First Creation

********************************************************************/

#ifndef SMPP_P_C_OCTETSTRING_H
#define SMPP_P_C_OCTETSTRING_H

#include "SMPP_P_OctetString.h"

class SMPP_P_C_OctetString : public SMPP_P_OctetString {
public:
	SMPP_P_C_OctetString();
	~SMPP_P_C_OctetString();

	virtual void	set_string(char *buf) = 0;
	size_t		get_string(char *buf);
	size_t		unpack_param(unsigned char *buf);
};

#endif		/* SMPP_P_C_OCTETSTRING_H */
