/********************************************************************

	Filename	: SMPP_P_CardType.h
	Description	: SMPP Optional Card Type Param class header file

	History:
	------------------------------------------------------------
	20020109	kei: First Creation

********************************************************************/

#ifndef SMPP_P_CARD_TYPE_H
#define SMPP_P_CARD_TYPE_H

#include "SMPP_P_O_Integer.h"

class SMPP_P_CardType : public SMPP_P_O_Integer {
public:
	enum {
		maxOpLen = 4
	};
	SMPP_P_CardType();
	~SMPP_P_CardType();
};

#define SMPP_CARD_TYPE_POSTPAID		0x00000000
#define SMPP_CARD_TYPE_PREPAID		0x00000001

#endif		/* SMPP_P_CARD_TYPE_H */
