/********************************************************************

	Filename	: SMPP_P_CommandLength.h
	Description	: SMPP Command Length Param class header file

	History:
	------------------------------------------------------------
	20010707	fw: First Creation

********************************************************************/

#ifndef SMPP_P_COMMANDLENGTH_H
#define SMPP_P_COMMANDLENGTH_H

#include "SMPP_P_Integer.h"

class SMPP_P_CommandLength : public SMPP_P_Integer {
public:
	enum {
		maxLen = 4
	};

	SMPP_P_CommandLength();
	~SMPP_P_CommandLength();
};

#endif		/* SMPP_P_COMMANDLENGTH_H */
