/********************************************************************

	Filename	: SMPP_P_DR_DLVRD.h
	Description	: SMPP Delivery Receipt - Dlvrd  Param class header file

	History:
	------------------------------------------------------------
	20010808	kei: First Creation
	20030423	fw: Increment maxLen by 1

********************************************************************/

#ifndef SMPP_P_DR_DLVRD_H
#define SMPP_P_DR_DLVRD_H

#include "SMPP_P_Fixed_C_OctetString.h"

class SMPP_P_DR_DLVRD : public SMPP_P_Fixed_C_OctetString {
public:
	enum {
		maxLen = 4
	};

	SMPP_P_DR_DLVRD();
	~SMPP_P_DR_DLVRD();
};

#endif		/* SMPP_P_DR_DLVRD_H */
