/********************************************************************

	Filename	: SMPP_P_DR_ERR.h
	Description	: SMPP Delivery Receipt - Err Param class header file

	History:
	------------------------------------------------------------
	20010808	kei: First Creation
	20030423	fw: Increment maxLen by 1

********************************************************************/

#ifndef SMPP_P_DR_ERR_H
#define SMPP_P_DR_ERR_H

#include "SMPP_P_Fixed_C_OctetString.h"

class SMPP_P_DR_ERR : public SMPP_P_Fixed_C_OctetString {
public:
	enum {
		maxLen = 4
	};

	SMPP_P_DR_ERR();
	~SMPP_P_DR_ERR();
};

#endif		/* SMPP_P_DR_ERR_H */
