/********************************************************************

	Filename	: SMPP_P_DR_ID.h
	Description	: SMPP Delivery Receipt - ID Param class header file

	History:
	------------------------------------------------------------
	20010808	kei: First Creation
	20030423	fw: Increment maxLen by 1

********************************************************************/

#ifndef SMPP_P_DR_ID_H
#define SMPP_P_DR_ID_H

#include "SMPP_P_Var_C_OctetString.h"

class SMPP_P_DR_ID : public SMPP_P_Var_C_OctetString {
public:
	enum {
		maxLen =  11
	};

	SMPP_P_DR_ID();
	~SMPP_P_DR_ID();
};

#endif		/* SMPP_P_DR_ID_H */
