/********************************************************************

	Filename	: SMPP_P_DR_STAT.h
	Description	: SMPP Delivery Receipt - Stat Param class header file

	History:
	------------------------------------------------------------
	20010808	kei: First Creation
	20030423	fw: Increment maxLen by 1

********************************************************************/

#ifndef SMPP_P_DR_STAT_H
#define SMPP_P_DR_STAT_H

#include "SMPP_P_Fixed_C_OctetString.h"

class SMPP_P_DR_STAT : public SMPP_P_Fixed_C_OctetString {
public:
	enum {
		maxLen = 8
	};

	SMPP_P_DR_STAT();
	~SMPP_P_DR_STAT();
};

#endif		/* SMPP_P_DR_STAT_H */
