/********************************************************************

	Filename	: SMPP_P_DR_SUB.h
	Description	: SMPP Delivery Receipt - Sub Param class header file

	History:
	------------------------------------------------------------
	20010808	kei: First Creation
	20030423	fw: Increment maxLen by 1

********************************************************************/

#ifndef SMPP_P_DR_SUB_H
#define SMPP_P_DR_SUB_H

#include "SMPP_P_Var_C_OctetString.h"

class SMPP_P_DR_SUB : public SMPP_P_Var_C_OctetString {
public:
	enum {
		maxLen = 4
	};

	SMPP_P_DR_SUB();
	~SMPP_P_DR_SUB();
};

#endif		/* SMPP_P_DR_SUB_H */
