/********************************************************************

	Filename	: SMPP_P_Integer.h
	Description	: SMPP Integer Param class header file

	History:
	------------------------------------------------------------
	20010707	fw: First Creation

********************************************************************/

#ifndef SMPP_P_INTEGER_H
#define SMPP_P_INTEGER_H

#include "SMPP_Param.h"

class SMPP_P_Integer : public SMPP_Param {
protected:
	unsigned long		value;
	void			set_length(size_t len);

public:

	SMPP_P_Integer();
	~SMPP_P_Integer();
	void			set_value(unsigned long val);
	unsigned long		get_value();
	size_t			pack_param(unsigned char *buf);
	size_t			unpack_param(unsigned char *buf);
};

#endif		/* SMPP_P_INTEGER_H */
