/********************************************************************

	Filename	: SMPP_P_MoreMsgFlag.h
	Description	: SMPP More Message Flag Param class header file

	History:
	------------------------------------------------------------
	20010707	fw: First Creation

********************************************************************/

#ifndef SMPP_P_MOREMSGFLAG_H
#define SMPP_P_MOREMSGFLAG_H

#include "SMPP_P_O_Integer.h"

class SMPP_P_MoreMsgFlag : public SMPP_P_O_Integer {
public:
	enum {
		maxOpLen = 1
	};

	SMPP_P_MoreMsgFlag();
	~SMPP_P_MoreMsgFlag();
};

#define SMPP_MORE_MESSAGE_OFF		0x00
#define SMPP_MORE_MESSAGE_ON		0x01

#endif		/* SMPP_P_MOREMSGFLAG_H */
