/********************************************************************

	Filename	: SMPP_P_PriorityFlag.h
	Description	: SMPP Prioroty Flag Param class header file

	History:
	------------------------------------------------------------
	20010707	fw: First Creation

********************************************************************/

#ifndef SMPP_P_PRIORITYFLAG_H
#define SMPP_P_PRIORITYFLAG_H

#include "SMPP_P_Integer.h"

class SMPP_P_PriorityFlag : public SMPP_P_Integer {
public:
	enum {
		maxLen = 1
	};

	SMPP_P_PriorityFlag();
	~SMPP_P_PriorityFlag();
};

#define SMPP_PRIORITY_LEVEL_0		0x00
#define SMPP_PRIORITY_LEVEL_1		0x01
#define SMPP_PRIORITY_LEVEL_2		0x02
#define SMPP_PRIORITY_LEVEL_3		0x03

#endif		/* SMPP_P_PRIORITYFLAG_H */
