/********************************************************************

	Filename	: SMPP_P_ReplaceIfPresentFlag.h
	Description	: SMPP Replace If Present Flag Param class header file

	History:
	------------------------------------------------------------
	20010707	fw: First Creation

********************************************************************/

#ifndef SMPP_P_REPLACEIFPRESENTFLAG_H
#define SMPP_P_REPLACEIFPRESENTFLAG_H

#include "SMPP_P_Integer.h"

class SMPP_P_ReplaceIfPresentFlag : public SMPP_P_Integer {
public:
	enum {
		maxLen = 1
	};

	SMPP_P_ReplaceIfPresentFlag();
	~SMPP_P_ReplaceIfPresentFlag();
};

#define SMPP_REPLACE_OFF		0x00
#define SMPP_REPLACE_ON			0x01

#endif		/* SMPP_P_REPLACEIFPRESENTFLAG_H */
