/********************************************************************

	Filename	: SMPP_P_UssdServiceOp.h
	Description	: SMPP USSD Service Operation Code Param class header file

	History:
	------------------------------------------------------------
	20010707	fw: First Creation

********************************************************************/

#ifndef SMPP_P_USSDSERVICEOP_H
#define SMPP_P_USSDSERVICEOP_H

#include "SMPP_P_O_Integer.h"

class SMPP_P_UssdServiceOp : public SMPP_P_O_Integer {
public:
	enum {
		maxOpLen = 1
	};

	SMPP_P_UssdServiceOp();
	~SMPP_P_UssdServiceOp();
};

#define SMPP_USSD_OP_PSSD_INDICATION	0x00
#define SMPP_USSD_OP_PSSR_INDICATION	0x01
#define SMPP_USSD_OP_USSR_REQUEST	0x02
#define SMPP_USSD_OP_USSN_REQUEST	0x03
#define SMPP_USSD_OP_PSSD_RESPONSE	0x10
#define SMPP_USSD_OP_PSSR_RESPONSE	0x11
#define SMPP_USSD_OP_USSR_CONFIRM	0x12
#define SMPP_USSD_OP_USSN_CONFIRM	0x13

#endif		/* SMPP_P_USSDSERVICEOP_H */
