#ifndef SMPP_INCL_H
#define SMPP_INCL_H

#include "SMPP.h"
#include "SMPP_Exception.h"
#include "SMPP_Header.h"
#include "SMPP_M_Bind.h"
#include "SMPP_M_BindReceiver.h"
#include "SMPP_M_BindReceiverResp.h"
#include "SMPP_M_BindResp.h"
#include "SMPP_M_BindTransceiver.h"
#include "SMPP_M_BindTransceiverResp.h"
#include "SMPP_M_BindTransmitter.h"
#include "SMPP_M_BindTransmitterResp.h"
#include "SMPP_M_CancelSM.h"
#include "SMPP_M_CancelSMResp.h"
#include "SMPP_M_DeliverSM.h"
#include "SMPP_M_DeliverSMResp.h"
#include "SMPP_M_EnquireLink.h"
#include "SMPP_M_EnquireLinkResp.h"
#include "SMPP_M_GenericNACK.h"
#include "SMPP_M_QuerySM.h"
#include "SMPP_M_QuerySMResp.h"
#include "SMPP_M_ReplaceSM.h"
#include "SMPP_M_ReplaceSMResp.h"
#include "SMPP_M_Request.h"
#include "SMPP_M_Response.h"
#include "SMPP_M_SubmitSM.h"
#include "SMPP_M_SubmitSMResp.h"
#include "SMPP_M_Unbind.h"
#include "SMPP_M_UnbindResp.h"
#include "SMPP_Message.h"
#include "SMPP_P_Addr.h"
#include "SMPP_P_AddrNPI.h"
#include "SMPP_P_AddrRange.h"
#include "SMPP_P_AddrTON.h"
#include "SMPP_P_C_OctetString.h"
#include "SMPP_P_CommandID.h"
#include "SMPP_P_CommandLength.h"
#include "SMPP_P_CommandStatus.h"
#include "SMPP_P_DR_DLVRD.h"
#include "SMPP_P_DR_DoneDate.h"
#include "SMPP_P_DR_ERR.h"
#include "SMPP_P_DR_ID.h"
#include "SMPP_P_DR_STAT.h"
#include "SMPP_P_DR_SUB.h"
#include "SMPP_P_DR_SubmitDate.h"
#include "SMPP_P_DR_TEXT.h"
#include "SMPP_P_DataCoding.h"
#include "SMPP_P_DeliveryReceipt.h"
#include "SMPP_P_ESMClass.h"
#include "SMPP_P_ErrorCode.h"
#include "SMPP_P_FinalDate.h"
#include "SMPP_P_Fixed_C_OctetString.h"
#include "SMPP_P_IMSI.h"
#include "SMPP_P_Integer.h"
#include "SMPP_P_InterfaceVer.h"
#include "SMPP_P_MessageID.h"
#include "SMPP_P_MessageState.h"
#include "SMPP_P_MoreMsgFlag.h"
#include "SMPP_P_OP_Length.h"
#include "SMPP_P_OP_Tag.h"
#include "SMPP_P_O_Integer.h"
#include "SMPP_P_O_OctetString.h"
#include "SMPP_P_OctetString.h"
#include "SMPP_P_Optional.h"
#include "SMPP_P_Password.h"
#include "SMPP_P_PriorityFlag.h"
#include "SMPP_P_ProtocolID.h"
#include "SMPP_P_RegisteredDelivery.h"
#include "SMPP_P_ReplaceIfPresentFlag.h"
#include "SMPP_P_SC_InterfaceVer.h"
#include "SMPP_P_SM_DefaultMsgID.h"
#include "SMPP_P_SM_Length.h"
#include "SMPP_P_ScheduleDeliveryTime.h"
#include "SMPP_P_SequenceNum.h"
#include "SMPP_P_ServiceType.h"
#include "SMPP_P_ShortMessage.h"
#include "SMPP_P_SystemID.h"
#include "SMPP_P_SystemType.h"
#include "SMPP_P_Timeout.h"
#include "SMPP_P_UserMessageReference.h"
#include "SMPP_P_UssdServiceOp.h"
#include "SMPP_P_VLR.h"
#include "SMPP_P_ValidityPeriod.h"
#include "SMPP_P_Var_C_OctetString.h"
#include "SMPP_Param.h"
#include "SMPP_incl.h"

#endif
