/********************************************************************

	Filename	: SMPP_M_BindResp.h
	Description	: SMPP Bind Response Message class header file

	History:
	------------------------------------------------------------
	20010707	fw: First Creation

********************************************************************/

#ifndef SMPP_M_BINDRESP_H
#define SMPP_M_BINDRESP_H

#include "SMPP_M_Response.h"
#include "SMPP_P_SystemID.h"
#include "SMPP_P_SC_InterfaceVer.h"

class SMPP_M_BindResp : public SMPP_M_Response {
public:
	// mandatory parameters
	SMPP_P_SystemID			system_id;

	// optional parameters
	SMPP_P_SC_InterfaceVer		sc_interface_version;

	SMPP_M_BindResp();
	~SMPP_M_BindResp();

	size_t		pack_msg(unsigned char *buf);
	size_t		unpack_msg(unsigned char *buf);
};

#endif		/* SMPP_M_BINDRESP_H */
