/********************************************************************

	Filename	: SMPP_M_CancelSMResp.h
	Description	: SMPP Cancel SM Response Message class header file

	History:
	------------------------------------------------------------
	20010808	kei: First Creation
	20011123	kei: Add OP for PTC-SMX as GWNO of OA and DA
	20060620	leo: Add OP for SUNDAY-PPSMS

********************************************************************/

#ifndef SMPP_M_CANCELSMRESP_H
#define SMPP_M_CANCELSMRESP_H

#include "SMPP_M_Response.h"
#include "SMPP_P_OptionalParam.h"

class SMPP_M_CancelSMResp : public SMPP_M_Response {
public:
	// optional parameters
	SMPP_P_OptionalParam		optional_param;

	SMPP_M_CancelSMResp();
	~SMPP_M_CancelSMResp();

	size_t				pack_msg(unsigned char *buf);
	size_t				unpack_msg(unsigned char *buf);
};

#endif		/* SMPP_M_CANCELSMRESP_H */
