/********************************************************************

	Filename	: SMPP_M_DeliverSMResp.h
	Description	: SMPP DeliverSM Response Message class header file

	History:
	------------------------------------------------------------
	20010707	fw: First Creation
	20011123	kei: Add OP for PTC-SMX as GWNO of OA and DA

********************************************************************/

#ifndef SMPP_M_DELIVERSMRESP_H
#define SMPP_M_DELIVERSMRESP_H

#include "SMPP_M_Response.h"
#include "SMPP_P_MessageID.h"

class SMPP_M_DeliverSMResp : public SMPP_M_Response {
public:
	// mandatory parameters
	SMPP_P_MessageID		message_id;

	SMPP_M_DeliverSMResp();
	~SMPP_M_DeliverSMResp();

	size_t				pack_msg(unsigned char *buf);
	size_t				unpack_msg(unsigned char *buf);
};

#endif		/* SMPP_M_DELIVERSMRESP_H */
