/********************************************************************

	Filename	: SMPP_Message.h
	Description	: SMPP Message Base class header file

	History:
	------------------------------------------------------------
	20010707	fw: First Creation

********************************************************************/

#ifndef SMPP_MESSAGE_H
#define SMPP_MESSAGE_H

#include "SMPP.h"
#include "SMPP_Header.h"

class SMPP_Message {
public:
	SMPP_Header	header;

	SMPP_Message();
	~SMPP_Message();

	virtual size_t	pack_msg(unsigned char *buf);
	virtual size_t	unpack_msg(unsigned char *buf);
};

#endif		/* SMPP_MESSAGE_H */
