/********************************************************************

	Filename	: SMPP_P_AddrTON.h
	Description	: SMPP Address TON Param class header file

	History:
	------------------------------------------------------------
	20010707	fw: First Creation

********************************************************************/

#ifndef SMPP_P_ADDRTON_H
#define SMPP_P_ADDRTON_H

#include "SMPP_P_Integer.h"

class SMPP_P_AddrTON : public SMPP_P_Integer {
public:
	enum {
		maxLen = 1
	};

	SMPP_P_AddrTON();
	~SMPP_P_AddrTON();
};

#define SMPP_ADDR_TON_UNKNOWN		0x00
#define SMPP_ADDR_TON_INTERNATIONAL	0x01
#define SMPP_ADDR_TON_NATIONAL		0x02
#define SMPP_ADDR_TON_NETWORK_SPECIFIC	0x03
#define SMPP_ADDR_TON_SUBSCRIBER_NUMBER	0x04
#define SMPP_ADDR_TON_ALPHANUMERIC	0x05
#define SMPP_ADDR_TON_ABBREVIATED	0x06

#endif		/* SMPP_P_ADDRTON_H */
