/********************************************************************

	Filename	: SMPP_P_DR_DoneDate.h
	Description	: SMPP Delivery Receipt - Done Date Param class header file

	History:
	------------------------------------------------------------
	20010808	kei: First Creation
	20030423	fw: Increment maxLen by 1

********************************************************************/

#ifndef SMPP_P_DR_DONEDATE_H
#define SMPP_P_DR_DONEDATE_H

#include "SMPP_P_Fixed_C_OctetString.h"

class SMPP_P_DR_DoneDate : public SMPP_P_Fixed_C_OctetString {
public:
	enum {
		maxLen = 11
	};

	SMPP_P_DR_DoneDate();
	~SMPP_P_DR_DoneDate();
};

#endif		/* SMPP_P_DR_DONEDATE_H */
