/********************************************************************

	Filename	: SMPP_P_InterfaceVer.h
	Description	: SMPP Interface Version Param class header file

	History:
	------------------------------------------------------------
	20010707	fw: First Creation

********************************************************************/

#ifndef SMPP_P_INTERFACEVER_H
#define SMPP_P_INTERFACEVER_H

#include "SMPP_P_Integer.h"

class SMPP_P_InterfaceVer : public SMPP_P_Integer {
public:
	enum {
		maxLen = 1
	};

	SMPP_P_InterfaceVer();
	~SMPP_P_InterfaceVer();
};

#define SMPP_INTERFACE_V3_3	0x33
#define SMPP_INTERFACE_V3_4	0x34

#endif		/* SMPP_P_INTERFACEVER_H */
