/********************************************************************

	Filename	: SMPP_P_Password.h
	Description	: SMPP Password Param class header file

	History:
	------------------------------------------------------------
	20010707	fw: First Creation

********************************************************************/

#ifndef SMPP_P_PASSWORD_H
#define SMPP_P_PASSWORD_H

#include "SMPP_P_Var_C_OctetString.h"

class SMPP_P_Password : public SMPP_P_Var_C_OctetString {
public:
	enum {
		maxLen = 9
	};

	SMPP_P_Password();
	~SMPP_P_Password();
};

#endif		/* SMPP_P_PASSWORD_H */
